*{
    box-sizing: border-box;
}

a{
    text-decoration: none;
}

ul, ol{
    padding-left: 0;
    margin: 0;
    list-style: none;
}

body{
    margin:0;
    font-size: 14px;
    background-color: rgb(230, 230, 230);
    font-family: "Helvetica Neue","Hiragino Sans";
}

.container{
    margin: 0 auto;
    width:1000px;
}

header{
    width:100%;
}

#header__top{
    height:300px;
}

#header__canvas{
    position: absolute;
    top:0;
    width:2000px;
    height:1500px;
}

#header__item{
    position: relative;
    margin: 0 auto;
    width:1000px;
}

#header__bg{
    position: relative;
    width:100%;
    height:100%;
    overflow: hidden;
}

#header__title--img{
    display: flex;
    justify-content: center;
    align-items: center;
    width:100%;
    height:250px;
    position: absolute;
    top:10px;
    pointer-events: none;
}

#header__title--img img{
    position: relative;
    top:-50px;
    width: 50%;
    height: 50%;
    object-fit: contain;
    pointer-events: none;
}

#header--nav{
    width:100%;
    position: relative;
    height:50vh;
}

#header--nav ul{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#header--nav li{
    width:30%;
    text-align: center;
    opacity: 0;
    animation:nav_move 5s ease-in-out infinite alternate-reverse;
    transition: 2s;
}

#header--nav li:hover{
    cursor: pointer;
}

#header--nav li:nth-of-type(1){
    position: relative;
}

#header--nav li:nth-of-type(2){
    position: relative;
    animation-delay: 1s;
}

#header--nav li:nth-of-type(3){
    position: relative;
    animation-delay: 2s;
}

#header--nav li img{
    width: 100%;
    object-fit: contain;
}

#header--nav li img:hover{
    animation: hover_color 2s infinite alternate-reverse;
}

@keyframes nav_move {
    from {
        transform: translateY(-8%);
    }

    to{
        transform: translateY(8%);
    }
}

@keyframes hover_color {
    0%{
        filter:drop-shadow(0px 0px 0px #fc7f19);
    }
    50%{
        filter:drop-shadow(0px 0px 10px #fc7f19);
    }
    100%{
        filter:drop-shadow(0px 0px 10px #fc7f19);
    }
}

.section__title{
    width:100%;
    padding-bottom:50px;
    text-align: center;
}

.section__title h1{
    position: relative;
    top:2vh;
    font-size: 100px;
    padding: 0;
    margin: 0;
    opacity: 0;
    transform: translateY(30%);
}

.section__title.active h1{
    animation-name: title_move;
    animation-duration: 2s;
    animation-fill-mode: forwards;
}

.section__title  span{
    display: inline-block;
    height: 1px;
    width:150px;
    background-color: black;
    padding: 0;
    margin: 0;
}

.section__title p{
    font-size: 17px;
    opacity: 0;
    transform: translateY(-30%);
}

.section__title.active p{
    animation-name: subtitle_move;
    animation-duration: 2s;
    animation-fill-mode: forwards;
}


@keyframes title_move {
    from{
        opacity: 0;
        transform: translateY(30%);
    }
    to{
        opacity: 1;
        transform: translateY(0%);
    }
}

@keyframes subtitle_move {
    from{
        opacity: 0;
        transform: translateY(-30%);
    }
    to{
        opacity: 1;
        transform: translateY(0%);
    }
}


.works{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width:100%;
    justify-content: space-between;
    padding-left: 30px;
    padding-right: 30px;
}

.flex-content{
    transform: translateY(20%);
    opacity: 0;
    transition: 1s;
}

.works li{
    position: relative;
    width:30%;
    margin-bottom: 50px;
    box-shadow: 0 0 10px 5px #4f4f4f;
}

.works li h3{
    font-size: 20px;
    padding: 0 10px;
}

.works li h3::after{
    content:"";
    display: block;
    width:100%;
    height:1px;
    background-color: #000000;
}

.works li p::before{
    content:"仕様";
    display: inline-block;
    padding:2px 10px;
    margin:0 10px;
    color:#646464;
    font-weight: bold;
    border:3px solid #989898;
}

.works li img{
    width:100%;
    object-fit: cover;
}

.works li a{
    display: block;
    position: absolute;
    top: 0;
    left:0;
    width: 100%;
    height:100%;
}

